# OAuth2 configuration
###############################################################################
# The below configuration parameters are used to authenticate using the       #
# recommended OAuth2 flow. For more information on authenticating with OAuth2 #
# see: https://developers.google.com/google-ads/api/docs/oauth/overview       #
###############################################################################
developer_token: rBKOnfx0zpAQjslWI6E8cw
client_id: 79806701873-pkbe0kiovscl73mh3lkb3kfojiqaqc6p.apps.googleusercontent.com
client_secret: 2Svi3rER0O2eKWbaF2fnx44J
refresh_token: 1//03848nF8LHWyNCgYIARAAGAMSNwF-L9IrYN8jZcDhxEpCeb_pgfYJqtYxvhSNYnrgAZG1lU1LnOTiVomTscaS9vA0EgbUsLsguXY

# Protobuf Update
use_proto_plus: True

# Login customer ID configuration
###############################################################################
# Required for manager accounts only: Specify the login customer ID used to   #
# authenticate API calls. This will be the customer ID of the authenticated   #
# manager account. It should be set without dashes, for example: 1234567890   #
# instead of 123-456-7890. You can also specify this later in code if your    #
# application uses multiple manager account + OAuth pairs.                    #
###############################################################################
login_customer_id: 8137272100
#customer_id: 5927843196
GOOGLE_ADS_CLIENT_ID: 2871965672
#client_customer_id: 592-784-3196
#merchant_center_account_id: 9415674605


# Service Account configuration
###############################################################################
# To authenticate with a service account add the appropriate values to the    #
# below configuration parameters and remove the four OAuth credentials above. #
# The "json_key_file_path" value should be a path to your local private       #
# key json file, and "impersonated_email" should be the email address that is #
# being used to impersonate the credentials making requests. for more         #
# information on service accounts, see:                                       #
# https://developers.google.com/google-ads/api/docs/oauth/service-accounts    #
###############################################################################
# json_key_file_path: INSERT_PATH_TO_JSON_KEY_FILE_HERE
# impersonated_email: INSERT_DOMAIN_WIDE_DELEGATION_ACCOUNT

# Logging configuration
###############################################################################
# Below you may specify the logging configuration. This will be provided as   #
# an input to logging.config.dictConfig. Use the "level" block under the root #
# logger configuration to adjust the logging level. Note in the "format"      #
# field that log messages are truncated to 5000 characters by default. You    #
# can change this to any length by removing the ".5000" portion or changing   #
# it to a different number.                                                   #
# #############################################################################
# logging:
  # version: 1
  # disable_existing_loggers: False
  # formatters:
    # default_fmt:
      # format: '[%(asctime)s - %(levelname)s] %(message).5000s'
      # datefmt: '%Y-%m-%d %H:%M:%S'
  # handlers:
    # default_handler:
      # class: logging.StreamHandler
      # formatter: default_fmt
  # loggers:
    # "":
      # handlers: [default_handler]
      # level: INFO